features:
  secondary:
# Chart improvements
    - name: "GitLab chart improvements"
      available_in: [core, starter, premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/charts/charts/globals.html#bootsnap-cache'
      reporter: ljlane
      stage: enablement
      categories: 
        - "Cloud Native Installation"
      issue_url: 'https://gitlab.com/gitlab-org/charts/gitlab/issues/1779'
      description: |
       - Bootsnap is now enabled in the Rails containers (Task Runner, Unicorn, and Sidekiq). Bootsnap optimizes and caches computations to speed up the boot time of Rails applications. We're [seeing boot times reduced by approximately 14%](https://gitlab.com/gitlab-org/charts/gitlab/-/merge_requests/1157#note_283766138) in this iteration, and expect another significant gain in the future. You can read more about Bootsnap in [its GitHub repository](https://github.com/Shopify/bootsnap).
       - Puma is now available in the GitLab Helm chart (Unicorn sub chart) [as an alternative application server to Unicorn](https://about.gitlab.com/releases/2020/03/22/gitlab-12-9-released/#reduced-memory-consumption-of-gitlab-with-puma). Puma offers approximately [40% reduced memory consumption](https://gitlab.com/gitlab-com/gl-infra/production/issues/1684#note_291225063) compared to Unicorn, for similar performance. Support for Puma in the Helm install is experimental in 12.9, but it is planned to be the default application server by GitLab 13.0. For more information, see the [Helm chart documentation](https://docs.gitlab.com/charts/charts/gitlab/unicorn/index.html). A huge thanks to [Dmitry Chepurovskiy](https://gitlab.com/dm3ch) for playing a key role in making this happen. 
